<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Form Submission</title>
</head>
<body>

<h1>Form Submission Results</h1>

<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    // Validation check
    $has_error = false;

    // Validate First Name
    if (empty($_POST["first_name"])) {
        echo "Please go back and enter your first name.<br>";
        $has_error = true;
    } else {
        $first_name = $_POST["first_name"];
    }

    // Validate Last Name
    if (empty($_POST["last_name"])) {
        echo "Please go back and enter your last name.<br>";
        $has_error = true;
    } else {
        $last_name = $_POST["last_name"];
    }

    // Validate Email
    if (empty($_POST["email"])) {
        echo "Please go back and enter your email address.<br>";
        $has_error = true;
    } else {
        $email = $_POST["email"];
    }

    // Validate Gender
    if (empty($_POST["gender"])) {
        echo "Please go back and select a gender.<br>";
        $has_error = true;
    } else {
        $gender = ($_POST["gender"] == "M") ? "Male" : "Female";
    }

    // Display "Go Back" button if any errors exist
    if ($has_error) {
        echo '<br><button onclick="history.back()">Go Back</button>';
    } else {
        // Process Drop-down selections (No validation required)
        $month = $_POST["month"];
        $day = $_POST["day"];
        $year = $_POST["year"];
        $age = $_POST["age"];

        // Validate Comments (Optional)
        if (!empty($_POST["comments"])) {
            $comments = $_POST["comments"];
        } else {
            $comments = "No comments provided.";
        }

        // Process Checkboxes (No validation required)
        $classes = [];
        if (!empty($_POST["class1"])) {
            $classes[] = $_POST["class1"];
        }

        // Display Submission Details
        echo "Thank you for submitting your information!<br><br>";
        echo "Name: $first_name $last_name<br>";
        echo "Email: $email<br>";
        echo "Gender: $gender<br>";
        echo "Birthdate: $month/$day/$year<br>";
        echo "Age Group: $age<br>";
        echo "Comments: $comments<br>";

        if (!empty($classes)) {
            echo "IST Classes: " . implode(", ", $classes) . "<br>";
        } else {
            echo "IST Classes: None selected.<br>";
        }
    }
}
?>

</body>
</html>